Commit a6f9470b authored by Douwe Maan's avatar Douwe Maan
Browse files

Merge branch 'bvl-only-require-po-parser-in-rake' into 'master'

Only require `simple_po_parser` in rake task that needs it

Closes #37379

See merge request !14018
require 'simple_po_parser'
module Gitlab
module I18n
class PoLinter
......
require "gettext_i18n_rails/tasks"
require 'simple_po_parser'
namespace :gettext do
# Customize list of translatable files
......
require 'spec_helper'
require 'simple_po_parser'
describe Gitlab::I18n::PoLinter do
let(:linter) { described_class.new(po_path) }
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment